Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC::Metadata::Picture Class Reference
[FLAC++/metadata.h: metadata object classes]

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Picture:

List of all members.

## Detailed Description

PICTURE metadata block. See the overview for more, and the format specification.

## Public Member Functions
| Picture (const Picture &object)
| Picture (const ::FLAC__StreamMetadata &object)
| Picture (const ::FLAC__StreamMetadata *object)
| Picture (::FLAC__StreamMetadata *object, bool copy)
Picture & | operator= (const Picture &object)
Picture & | operator= (const ::FLAC__StreamMetadata &object)
Picture & | operator= (const ::FLAC__StreamMetadata *object)
Picture & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const Picture &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const Picture &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
::FLAC__StreamMetadata_Picture_Type | get_type () const
const char * | get_mime_type () const
const FLAC__byte * | get_description () const
FLAC__uint32 | get_width () const
FLAC__uint32 | get_height () const
FLAC__uint32 | get_depth () const
FLAC__uint32 | get_colors () const
FLAC__uint32 | get_data_length () const
const FLAC__byte * | get_data () const
void | set_type (::FLAC__StreamMetadata_Picture_Type type)
bool | set_mime_type (const char *string)
bool | set_description (const FLAC__byte *string)
void | set_width (FLAC__uint32 value) const
void | set_height (FLAC__uint32 value) const
void | set_depth (FLAC__uint32 value) const
void | set_colors (FLAC__uint32 value) const
bool | set_data (const FLAC__byte *data, FLAC__uint32 data_length)
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
unsigned | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const
## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()
## Protected Attributes
::FLAC__StreamMetadata * | object_
## Friends
class | SimpleIterator
class | Iterator

## Constructor & Destructor Documentation

FLAC::Metadata::Picture::Picture | ( | const Picture & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::Picture::Picture | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

Picture& FLAC::Metadata::Picture::operator= | ( | const Picture & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy.

Picture& FLAC::Metadata::Picture::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

bool FLAC::Metadata::Picture::operator== | ( | const Picture & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers.

bool FLAC::Metadata::Picture::operator!= | ( | const Picture & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers.

::FLAC__StreamMetadata_Picture_Type FLAC::Metadata::Picture::get_type | ( |  | ) | const

  | Returns the type of the block. Assertions:
       is_valid()
Reimplemented from FLAC::Metadata::Prototype.

FLAC__uint32 FLAC::Metadata::Picture::get_colors | ( |  | ) | const

| a return value of `0` means true-color, i.e. 2^depth colors

bool FLAC::Metadata::Picture::set_mime_type | ( | const char * | string | ) |

| See FLAC__metadata_object_picture_set_mime_type().

bool FLAC::Metadata::Picture::set_description | ( | const FLAC__byte * | string | ) |

| See FLAC__metadata_object_picture_set_description().

void FLAC::Metadata::Picture::set_colors | ( | FLAC__uint32 | value | ) | const

| a value of `0` means true-color, i.e. 2^depth colors

bool FLAC::Metadata::Picture::set_data | ( | const FLAC__byte * | data,
|  | FLAC__uint32 | data_length
| ) |

| See FLAC__metadata_object_picture_set_data().

Prototype& FLAC::Metadata::Prototype::assign_object | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[protected, inherited]`

| Assigns an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

virtual void FLAC::Metadata::Prototype::clear | ( |  | ) | `[protected, virtual, inherited]`

| Deletes the underlying FLAC__StreamMetadata object.

bool FLAC::Metadata::Prototype::get_is_last | ( |  | ) | const`[inherited]`

  | Returns `true` if this block is the last block in a stream, else `false`. Assertions:
       is_valid()

unsigned FLAC::Metadata::Prototype::get_length | ( |  | ) | const`[inherited]`

  | Returns the stream length of the metadata block. Note: The length does not include the metadata block header, per spec. Assertions:
       is_valid()

void FLAC::Metadata::Prototype::set_is_last | ( | bool |  | ) | `[inherited]`

  | Sets the "is_last" flag for the block. When using the iterators it is not necessary to set this flag; they will do it for you. Assertions:
       is_valid()

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |